- Main Page
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CORBA::ServerRequest Class Reference

Class representing the CORBA ServerRequest pseudo-object. More...

`#include <Server_Request.h>`

Collaboration diagram for CORBA::ServerRequest:

[legend]
List of all members.

## Public Types
typedef CORBA::ServerRequest_ptr | _ptr_type
| Useful for template programming.
## Public Member Functions
| ServerRequest (TAO_ServerRequest &orb_server_request)
| Constructor.
| ~ServerRequest (void)
| Destructor.
void | arguments (CORBA::NVList_ptr &list)
void | set_result (const CORBA::Any &value)
void | set_exception (const CORBA::Any &value)
void | dsi_marshal ()
| Marshal outgoing parameters.
CORBA::Context_ptr | ctx (void) const
| Accessor for the Context member.
void | ctx (CORBA::Context_ptr)
| Mutator for the Context member.
const char * | operation (void) const
| Get the operation name.
CORBA::ULong | _incr_refcnt (void)
CORBA::ULong | _decr_refcnt (void)
void | _tao_lazy_evaluation (bool lazy_evaluation)
| Set the lazy evaluation flag.
int | _tao_incoming_byte_order (void) const
| Get the byte order of the incoming CDR stream.
void | _tao_reply_byte_order (int byte_order)
| Set the byte order of the outgoing CDR stream.
TAO_ServerRequest & | _tao_server_request (void)
| Return a reference to the underlying TAO_ServerRequest object.
void | gateway_exception_reply (ACE_CString &raw_exception)
## Static Public Member Functions
static ServerRequest_ptr | _duplicate (ServerRequest_ptr)
static ServerRequest_ptr | _nil (void)
## Private Attributes
bool | lazy_evaluation_
| If zero then the NVList is evaluated ASAP.
CORBA::Context_ptr | ctx_
| Context associated with this request.
CORBA::NVList_ptr | params_
| Incoming parameters.
CORBA::Any_ptr | retval_
| Return value.
CORBA::Any_ptr | exception_
| Any exception which might be raised.
CORBA::ULong | refcount_
| Reference counting.
TAO_SYNCH_MUTEX | lock_
| Protect the refcount_ and response_received_.
TAO_ServerRequest & | orb_server_request_
| Request from the ORB.
int | sent_gateway_exception_
| Have we sent a user exception obtained from a gateway?

## Detailed Description

Class representing the CORBA ServerRequest pseudo-object.

Instantiated by the POA for DSI requests and passed up to the application. Contains a reference to the instance of TAO_ServerRequest that is passed up to the POA from the ORB.

## Member Typedef Documentation

typedef CORBA::ServerRequest_ptr CORBA::ServerRequest::_ptr_type

Useful for template programming.

## Constructor & Destructor Documentation

CORBA::ServerRequest::ServerRequest | ( | TAO_ServerRequest & | orb_server_request | ) |

Constructor.

CORBA::ServerRequest::~ServerRequest | ( | void |  | ) |

Destructor.

## Member Function Documentation

CORBA::ULong CORBA::ServerRequest::_decr_refcnt | ( | void |  | ) |

ACE_INLINE CORBA::ServerRequest_ptr CORBA::ServerRequest::_duplicate | ( | ServerRequest_ptr |  | ) | `[static]`

TAO_BEGIN_VERSIONED_NAMESPACE_DECL CORBA::ULong CORBA::ServerRequest::_incr_refcnt | ( | void |  | ) |

ACE_INLINE CORBA::ServerRequest_ptr CORBA::ServerRequest::_nil | ( | void |  | ) | `[static]`

ACE_INLINE int CORBA::ServerRequest::_tao_incoming_byte_order | ( | void |  | ) | const

Get the byte order of the incoming CDR stream.

ACE_INLINE void CORBA::ServerRequest::_tao_lazy_evaluation | ( | bool | lazy_evaluation | ) |

Set the lazy evaluation flag.

ACE_INLINE void CORBA::ServerRequest::_tao_reply_byte_order | ( | int | byte_order | ) |

Set the byte order of the outgoing CDR stream.

ACE_INLINE TAO_ServerRequest & CORBA::ServerRequest::_tao_server_request | ( | void |  | ) |

Return a reference to the underlying TAO_ServerRequest object.

void CORBA::ServerRequest::arguments | ( | CORBA::NVList_ptr & | list | ) |

Implementation uses this to provide the ORB with the operation's parameter list ... on return, their values are available; the list fed in has typecodes and (perhap) memory assigned.

ACE_INLINE void CORBA::ServerRequest::ctx | ( | CORBA::Context_ptr |  | ) |

Mutator for the Context member.

ACE_INLINE CORBA::Context_ptr CORBA::ServerRequest::ctx | ( | void |  | ) | const

Accessor for the Context member.

void CORBA::ServerRequest::dsi_marshal | ( |  | ) |

Marshal outgoing parameters.

void CORBA::ServerRequest::gateway_exception_reply | ( | ACE_CString & | raw_exception | ) |

Returns a user exception through a TAO gateway without knowing its type.

ACE_INLINE const char * CORBA::ServerRequest::operation | ( | void |  | ) | const

Get the operation name.

void CORBA::ServerRequest::set_exception | ( | const CORBA::Any & | value | ) |

Implementation uses this to provide the exception value which is the only result of this particular invocation.

XXX Implementation should be able to assume response has been sent when this returns, and reclaim memory it allocated.

void CORBA::ServerRequest::set_result | ( | const CORBA::Any & | value | ) |

Implementation uses this to provide the operation result ... illegal if exception() was called or params() was not called.

XXX Implementation should be able to assume response has been sent when this returns, and reclaim memory it allocated.

## Member Data Documentation

CORBA::Context_ptr CORBA::ServerRequest::ctx_`[private]`

Context associated with this request.

CORBA::Any_ptr CORBA::ServerRequest::exception_`[private]`

Any exception which might be raised.

bool CORBA::ServerRequest::lazy_evaluation_`[private]`

If zero then the NVList is evaluated ASAP.

TAO_SYNCH_MUTEX CORBA::ServerRequest::lock_`[private]`

Protect the refcount_ and response_received_.

TAO_ServerRequest& CORBA::ServerRequest::orb_server_request_`[private]`

Request from the ORB.

CORBA::NVList_ptr CORBA::ServerRequest::params_`[private]`

Incoming parameters.

CORBA::ULong CORBA::ServerRequest::refcount_`[private]`

Reference counting.

CORBA::Any_ptr CORBA::ServerRequest::retval_`[private]`

Return value.

int CORBA::ServerRequest::sent_gateway_exception_`[private]`

Have we sent a user exception obtained from a gateway?

The documentation for this class was generated from the following files:

- Server_Request.h
- Server_Request.cpp
- Server_Request.inl